Update DWH and storage bucket credentials

Following are the requirements for this endpoint:

BigQuery

        {
          "credentials": {
            "auth_provider_x509_cert_url": "string",
            "auth_uri": "string",
            "client_email": "string",
            "client_id": "string",
            "client_x509_cert_url": "string",
            "private_key": "string",
            "private_key_id": "string",
            "project_id": "string",
            "token_uri": "string",
            "type": "string"
          },
          "dwh_type": "bigquery"
        }

Snowflake

        {
          "credentials": {
            "account": "string",
            "database": "string",
            "password": "string",
            "user": "string",
            "warehouse": "string"
          },
          "dwh_type": "snowflake"
        }

Aws S3

        {
          "credentials": {
            "access_key_id": "AKIARERGWEWER55Z",
            "region": "eu-west-2",
            "secret_access_key": "szoVLmNv9iFhzYuhgCwd"
          },
          "dwh_type": "aws_s3"
        }

Azure Blob Storage

        {
          "credentials": {
            "account_key": "string",
            "account_name": "string",
            "container_name": "string"
          },
          "dwh_type": "azure_blob_storage"
        }
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Organization slug. Refer to Y42 Docs for more details.

string
required

Space slug. Refer to Y42 Docs for more details.

Body Params
GoogleCredentials | AzureCredentials | AwsS3Credentials | SnowflakeConfig
required
string
enum
required

An enumeration.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json